Bug 859777 - SELinux is preventing /usr/bin/python2.7 from 'search' accesses on the directory /root/.local.
SELinux is preventing /usr/bin/python2.7 from 'search' accesses on the direct...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:31472e9ce9711e745e5ce741768...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-23 21:33 EDT by Leandro Patricio Vargas Caviedes
Modified: 2012-12-20 11:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:16:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-23 21:33 EDT, Leandro Patricio Vargas Caviedes
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-23 21:33 EDT, Leandro Patricio Vargas Caviedes
no flags Details

  None (edit)
Description Leandro Patricio Vargas Caviedes 2012-09-23 21:33:13 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.5.4-1.fc17.i686

description:
:SELinux is preventing /usr/bin/python2.7 from 'search' accesses on the directory /root/.local.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If cree que de manera predeterminada, python2.7 debería permitir acceso search sobre  .local directory.     
:Then debería reportar esto como un error.
:Puede generar un módulo de política local para permitir este acceso.
:Do
:permita el acceso momentáneamente executando:
:# grep jockey-backend /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:jockey_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:gconf_home_t:s0
:Target Objects                /root/.local [ dir ]
:Source                        jockey-backend
:Source Path                   /usr/bin/python2.7
:Port                          <Desconocido>
:Host                          (removed)
:Source RPM Packages           python-2.7.3-7.2.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-149.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.4-1.fc17.i686 #1 SMP Mon Sep
:                              17 15:41:12 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    2012-09-23 22:01:19 CLST
:Last Seen                     2012-09-23 22:01:19 CLST
:Local ID                      f1842d17-9d91-4315-a537-c25fe97f68c9
:
:Raw Audit Messages
:type=AVC msg=audit(1348448479.977:73): avc:  denied  { search } for  pid=1411 comm="jockey-backend" name=".local" dev="dm-1" ino=658206 scontext=system_u:system_r:jockey_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:gconf_home_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1348448479.977:73): arch=i386 syscall=stat64 success=no exit=ENOENT a0=816ca20 a1=bfa60160 a2=42b3fff4 a3=bfa60160 items=0 ppid=1410 pid=1411 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=jockey-backend exe=/usr/bin/python2.7 subj=system_u:system_r:jockey_t:s0-s0:c0.c1023 key=(null)
:
:Hash: jockey-backend,jockey_t,gconf_home_t,dir,search
:
:audit2allow
:
:#============= jockey_t ==============
:allow jockey_t gconf_home_t:dir search;
:
:audit2allow -R
:
:#============= jockey_t ==============
:allow jockey_t gconf_home_t:dir search;
:
Comment 1 Leandro Patricio Vargas Caviedes 2012-09-23 21:33:17 EDT
Created attachment 616314 [details]
File: type
Comment 2 Leandro Patricio Vargas Caviedes 2012-09-23 21:33:19 EDT
Created attachment 616315 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-09-24 07:09:39 EDT
Should be fixed in the jockey package.

You can dontaudit it using

# grep jockey-backend /var/log/audit/audit.log | audit2allow -D -M mypol
# semodule -i mypol.pp
Comment 4 Fedora Update System 2012-09-24 15:00:35 EDT
selinux-policy-3.10.0-150.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-150.fc17
Comment 5 Fedora Update System 2012-09-25 00:31:06 EDT
Package selinux-policy-3.10.0-150.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-150.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14725/selinux-policy-3.10.0-150.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-10-08 10:07:45 EDT
selinux-policy-3.10.0-153.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-153.fc17
Comment 7 Fedora Update System 2012-12-20 11:16:54 EST
selinux-policy-3.10.0-153.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.